{
  "cardHeight" : 150,
  "cardWidth" : 200,
  "codeName" : "Usr",
  "controlType" : "DATAVIEW",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSDATAVIEWS/Usr.json",
  "emptyText" : "包租婆，怎么没数据了呢",
  "getEmptyTextPSLanguageRes" : {
    "defaultContent" : "其它",
    "lanResTag" : "CONTROL.DEFORM.IBIZSAMPLE0009.MAIN.FORMPAGE.FORMPAGE2",
    "lanResType" : "CONTROL",
    "mOSFilePath" : "pslanguageres/Auto1685",
    "name" : "控件文本（CONTROL.*）[DEFORM.IBIZSAMPLE0009.MAIN.FORMPAGE.FORMPAGE2]",
    "rTMOSFilePath" : "pslanguageres/Auto1685",
    "refFlag" : true
  },
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "groupMode" : "NONE",
  "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
  "logicName" : "数据视图（内置功能）",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdedataviews/Usr",
  "minorSortDir" : "DESC",
  "getMinorSortPSAppDEField" : {
    "name" : "BOOKNUMBER",
    "codeName" : "Booknumber"
  },
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppViewLogics" : [ {
    "eventArg" : "deuiaction1",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "dataview_quicktoolbar_deuiaction1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "dataview_quicktoolbar_deuiaction1"
    },
    "getPSViewCtrlName" : "dataview_quicktoolbar"
  }, {
    "eventArg" : "deuiaction1",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "dataview_batchtoolbar_deuiaction1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "dataview_batchtoolbar_deuiaction1"
    },
    "getPSViewCtrlName" : "dataview_batchtoolbar"
  }, {
    "eventArg" : "deuiaction2",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "dataview_batchtoolbar_deuiaction2_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "dataview_batchtoolbar_deuiaction2"
    },
    "getPSViewCtrlName" : "dataview_batchtoolbar"
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPVIEWUIACTION",
    "name" : "dataview_memo1_u37f11a8_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "表格界面_编辑操作"
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPVIEWUIACTION",
    "name" : "dataview_memo1_uc365542_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "表格界面_删除操作"
    }
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "dataview_quicktoolbar_deuiaction1",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "New"
    },
    "xDataControlName" : "dataview"
  }, {
    "name" : "dataview_batchtoolbar_deuiaction1",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Edit"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "dataview"
  }, {
    "name" : "dataview_batchtoolbar_deuiaction2",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "uIActionTarget" : "MULTIKEY",
    "xDataControlName" : "dataview"
  }, {
    "name" : "表格界面_编辑操作",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Edit"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "dataview"
  }, {
    "name" : "表格界面_删除操作",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "uIActionTarget" : "MULTIKEY",
    "xDataControlName" : "dataview"
  } ],
  "getPSControlLogics" : [ {
    "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
    "logicTag" : "dataview",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_dataview",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "DataViewdataview_quicktoolbar",
    "controlType" : "TOOLBAR",
    "hookEventNames" : [ "CLICK" ],
    "logicName" : "数据视图-快速操作栏",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdetoolbars/DataViewdataview_quicktoolbar",
    "name" : "dataview_quicktoolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlLogics" : [ {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTag" : "dataview_quicktoolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "dataview_quicktoolbar_deuiaction1_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "dataview_quicktoolbar_deuiaction1_click"
      }
    } ],
    "getPSControlParam" : {
      "id" : "dataview_quicktoolbar"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TEXT.*.NEW",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto1712",
        "name" : "工具栏按钮文本[*.NEW]",
        "rTMOSFilePath" : "pslanguageres/Auto1712",
        "refFlag" : true
      },
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "dataview_quicktoolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TEXT.*.NEW",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto1712",
          "name" : "工具栏按钮文本[*.NEW]",
          "rTMOSFilePath" : "pslanguageres/Auto1712",
          "refFlag" : true
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/New",
        "name" : "表格界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "GRIDVIEW_NEWACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/New",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TOOLTIP.*.NEW",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto274",
          "name" : "工具栏按钮提示[*.NEW]",
          "rTMOSFilePath" : "pslanguageres/Auto274",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "新建",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TOOLTIP.*.NEW",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto274",
        "name" : "工具栏按钮提示[*.NEW]",
        "rTMOSFilePath" : "pslanguageres/Auto274",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKDataView/psappviewctrls/dataview_quicktoolbar",
    "modelid" : "390fe6ef38986993d7fd95f6454e7650",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "DataViewdataview_batchtoolbar",
    "controlType" : "TOOLBAR",
    "hookEventNames" : [ "CLICK" ],
    "logicName" : "数据视图-批操作工具栏",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdetoolbars/DataViewdataview_batchtoolbar",
    "name" : "dataview_batchtoolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlLogics" : [ {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTag" : "dataview_batchtoolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "dataview_batchtoolbar_deuiaction1_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "dataview_batchtoolbar_deuiaction1_click"
      }
    }, {
      "eventArg" : "deuiaction2",
      "eventNames" : "CLICK",
      "logicTag" : "dataview_batchtoolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "dataview_batchtoolbar_deuiaction2_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "dataview_batchtoolbar_deuiaction2_click"
      }
    } ],
    "getPSControlParam" : {
      "id" : "dataview_batchtoolbar"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "编辑",
        "lanResTag" : "TBB.TEXT.*.EDIT",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto1585",
        "name" : "工具栏按钮文本[*.EDIT]",
        "rTMOSFilePath" : "pslanguageres/Auto1585",
        "refFlag" : true
      },
      "caption" : "编辑",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "dataview_batchtoolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf044@FontAwesome",
        "cssClass" : "fa fa-edit"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TEXT.*.EDIT",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto1585",
          "name" : "工具栏按钮文本[*.EDIT]",
          "rTMOSFilePath" : "pslanguageres/Auto1585",
          "refFlag" : true
        },
        "caption" : "编辑",
        "codeName" : "Edit",
        "fullCodeName" : "Edit",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
        "name" : "表格界面_编辑操作",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "predefinedType" : "GRIDVIEW_EDITACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TOOLTIP.*.EDIT",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto834",
          "name" : "工具栏按钮提示[*.EDIT]",
          "rTMOSFilePath" : "pslanguageres/Auto834",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Edit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "编辑",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "编辑",
        "lanResTag" : "TBB.TOOLTIP.*.EDIT",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto834",
        "name" : "工具栏按钮提示[*.EDIT]",
        "rTMOSFilePath" : "pslanguageres/Auto834",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "删除",
        "lanResTag" : "TBB.TEXT.*.REMOVE",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto998",
        "name" : "工具栏按钮文本[*.REMOVE]",
        "rTMOSFilePath" : "pslanguageres/Auto998",
        "refFlag" : true
      },
      "caption" : "删除",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction2",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "dataview_batchtoolbar_deuiaction2"
      },
      "getPSSysImage" : {
        "glyph" : "xf00d@FontAwesome",
        "cssClass" : "fa fa-remove"
      },
      "getPSUIAction" : {
        "actionTarget" : "MULTIKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "删除",
          "lanResTag" : "TBB.TEXT.*.REMOVE",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto998",
          "name" : "工具栏按钮文本[*.REMOVE]",
          "rTMOSFilePath" : "pslanguageres/Auto998",
          "refFlag" : true
        },
        "caption" : "删除",
        "codeName" : "Remove",
        "fullCodeName" : "Remove",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
        "name" : "表格界面_删除操作",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "predefinedType" : "GRIDVIEW_REMOVEACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "删除",
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto1782",
          "name" : "工具栏按钮提示[*.REMOVE]",
          "rTMOSFilePath" : "pslanguageres/Auto1782",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Remove",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "删除",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "删除",
        "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto1782",
        "name" : "工具栏按钮提示[*.REMOVE]",
        "rTMOSFilePath" : "pslanguageres/Auto1782",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKDataView/psappviewctrls/dataview_batchtoolbar",
    "modelid" : "68f75dd28b954367cb9b71516d82406e",
    "modeltype" : "PSDETOOLBAR"
  } ],
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "DataImport"
  },
  "getPSDEDataViewDataItems" : [ {
    "dataType" : 25,
    "name" : "srficon",
    "getPSAppDEField" : {
      "name" : "ICON",
      "codeName" : "Icon"
    }
  }, {
    "dataType" : 25,
    "name" : "ibizbookid"
  }, {
    "dataType" : 25,
    "getFrontPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookType.json"
    },
    "name" : "type",
    "getPSAppDEField" : {
      "name" : "TYPE",
      "codeName" : "Type"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdescription",
    "getPSAppDEField" : {
      "name" : "SUBTEXT",
      "codeName" : "Subtext"
    }
  }, {
    "dataType" : 25,
    "name" : "author",
    "getPSAppDEField" : {
      "name" : "AUTHOR",
      "codeName" : "Author"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmstag"
  } ],
  "getPSDEDataViewItems" : [ {
    "dataItemName" : "srficon",
    "itemType" : "DATAITEM",
    "name" : "srficon",
    "enableSort" : false
  }, {
    "getCapPSLanguageRes" : {
      "defaultContent" : "图书标识",
      "lanResTag" : "DEF.LNAME.IBIZBOOKID",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto1841",
      "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZBOOKID]",
      "rTMOSFilePath" : "pslanguageres/Auto1841",
      "refFlag" : true
    },
    "caption" : "图书标识",
    "dataItemName" : "ibizbookid",
    "itemType" : "DATAITEM",
    "name" : "IBIZBOOKID",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    },
    "enableSort" : false
  }, {
    "dataItemName" : "memo1",
    "itemType" : "ACTIONITEM",
    "name" : "memo1",
    "getPSDEUIActionGroup" : {
      "codeName" : "mdCtrlAction",
      "mOSFilePath" : "pssysapps/Web/pssysappdeuagroups/mdCtrlAction",
      "name" : "多数据部件操作列",
      "getPSUIActionGroupDetails" : [ {
        "detailType" : "DEUIACTION",
        "name" : "u37f11a8",
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "defaultContent" : "编辑",
            "lanResTag" : "TBB.TEXT.*.EDIT",
            "lanResType" : "TBB.TEXT",
            "mOSFilePath" : "pslanguageres/Auto1585",
            "name" : "工具栏按钮文本[*.EDIT]",
            "rTMOSFilePath" : "pslanguageres/Auto1585",
            "refFlag" : true
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
          "name" : "表格界面_编辑操作",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "编辑",
            "lanResTag" : "TBB.TOOLTIP.*.EDIT",
            "lanResType" : "TBB.TOOLTIP",
            "mOSFilePath" : "pslanguageres/Auto834",
            "name" : "工具栏按钮提示[*.EDIT]",
            "rTMOSFilePath" : "pslanguageres/Auto834",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "detailType" : "DEUIACTION",
        "name" : "uc365542",
        "getPSUIAction" : {
          "actionTarget" : "MULTIKEY",
          "getCapPSLanguageRes" : {
            "defaultContent" : "删除",
            "lanResTag" : "TBB.TEXT.*.REMOVE",
            "lanResType" : "TBB.TEXT",
            "mOSFilePath" : "pslanguageres/Auto998",
            "name" : "工具栏按钮文本[*.REMOVE]",
            "rTMOSFilePath" : "pslanguageres/Auto998",
            "refFlag" : true
          },
          "caption" : "删除",
          "codeName" : "Remove",
          "fullCodeName" : "Remove",
          "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
          "name" : "表格界面_删除操作",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "predefinedType" : "GRIDVIEW_REMOVEACTION",
          "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "删除",
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
            "lanResType" : "TBB.TOOLTIP",
            "mOSFilePath" : "pslanguageres/Auto1782",
            "name" : "工具栏按钮提示[*.REMOVE]",
            "rTMOSFilePath" : "pslanguageres/Auto1782",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Remove",
          "uIActionType" : "DEUIACTION"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      } ],
      "rTMOSFilePath" : "pssysapps/Web/pssysappdeuagroups/mdCtrlAction"
    },
    "enableSort" : false
  }, {
    "cLConvertMode" : "FRONT",
    "getCapPSLanguageRes" : {
      "defaultContent" : "图书类型",
      "lanResTag" : "DEF.LNAME.TYPE",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto2088",
      "name" : "属性逻辑名称（DEF.LNAME.*）[TYPE]",
      "rTMOSFilePath" : "pslanguageres/Auto2088",
      "refFlag" : true
    },
    "caption" : "图书类型",
    "dataItemName" : "type",
    "itemType" : "DATAITEM",
    "name" : "TYPE",
    "getPSAppDEField" : {
      "name" : "TYPE",
      "codeName" : "Type"
    },
    "getPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookType.json"
    },
    "enableSort" : false
  }, {
    "dataItemName" : "srfmajortext",
    "itemType" : "DATAITEM",
    "name" : "srfmajortext",
    "enableSort" : false
  }, {
    "dataItemName" : "srfdescription",
    "itemType" : "DATAITEM",
    "name" : "srfdescription",
    "enableSort" : false
  }, {
    "getCapPSLanguageRes" : {
      "defaultContent" : "图书作者",
      "lanResTag" : "DEF.LNAME.AUTHOR",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto2038",
      "name" : "属性逻辑名称（DEF.LNAME.*）[AUTHOR]",
      "rTMOSFilePath" : "pslanguageres/Auto2038",
      "refFlag" : true
    },
    "caption" : "图书作者",
    "dataItemName" : "author",
    "itemType" : "DATAITEM",
    "name" : "AUTHOR",
    "getPSAppDEField" : {
      "name" : "AUTHOR",
      "codeName" : "Author"
    },
    "enableSort" : false
  } ],
  "getPSSysCss" : {
    "cssName" : "font-color-red-css"
  },
  "pagingSize" : 10,
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKDataView/psappviewctrls/dataview",
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "hasWFDataItems" : false,
  "appendDEItems" : true,
  "enableCardEdit" : false,
  "enableCardEditGroup" : false,
  "enableCardEditOrder" : false,
  "enableCardNew" : false,
  "enableGroup" : false,
  "enablePagingBar" : true,
  "noSort" : true,
  "singleSelect" : false,
  "modelid" : "543e013511c2c26a7bf76641b34cfa16",
  "modeltype" : "PSDEDATAVIEW"
}